Aria: ArConstFunctorC< T > Class Template Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArConstFunctorC< T > Class Template Reference

`#include <ArFunctor.h>`

Inheritance diagram for ArConstFunctorC< T >:

List of all members.

## Detailed Description

### template<class T>
class ArConstFunctorC< T >

Functor for a const member function.

This is a class for const member functions. This class contains the knowledge on how to call a const member function on a particular instance of a class. This class should be instantiated by code that wishes to pass off a functor to another piece of code.

For an overall description of functors, see ArFunctor.

Java and Python Wrappers: Not available in Java or Python wrapper libraries.

## Public Member Functions
| ArConstFunctorC (T *obj, void(T::*func)(void) const)
| Constructor - supply function pointer.
| ArConstFunctorC (T &obj, void(T::*func)(void) const)
| Constructor - supply function pointer.
| ArConstFunctorC ()
| Constructor.
virtual void | invoke (void)
| Invokes the functor.
virtual void | setThis (T &obj)
| Set the 'this' pointer.
virtual void | setThis (T *obj)
| Set the 'this' pointer.
virtual | ~ArConstFunctorC ()
| Destructor.
## Protected Attributes
void(T::* | myFunc )(void) const
T * | myObj

## Constructor & Destructor Documentation

template<class T>

ArConstFunctorC< T >::ArConstFunctorC | ( | T & | obj,
|  | void(T::*)(void) const | func |
| ) |  |  | `[inline]`

Constructor - supply function pointer.

Parameters:

  | obj | object to call function on
  | func | const member function pointer

template<class T>

ArConstFunctorC< T >::ArConstFunctorC | ( | T * | obj,
|  | void(T::*)(void) const | func |
| ) |  |  | `[inline]`

Constructor - supply function pointer.

Parameters:

  | obj | object to call function on
  | func | const member function pointer

## Member Function Documentation

template<class T>

virtual void ArConstFunctorC< T >::setThis | ( | T & | obj | ) | `[inline, virtual]`

Set the 'this' pointer.

Parameters:

  | obj | the 'this' pointer

template<class T>

virtual void ArConstFunctorC< T >::setThis | ( | T * | obj | ) | `[inline, virtual]`

Set the 'this' pointer.

Parameters:

  | obj | the 'this' pointer

The documentation for this class was generated from the following file:

- ArFunctor.h